Bug 1360277 (qt-installer-framework) - Review Request: qt-installer-framework - The Qt Installer Framework
Summary: Review Request: qt-installer-framework - The Qt Installer Framework
Keywords:
Status: CLOSED DUPLICATE of bug 1662532
Alias: qt-installer-framework
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-07-26 11:49 UTC by Helio Chissini de Castro
Modified: 2018-12-29 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-29 13:36:06 UTC


Attachments (Terms of Use)

Description Helio Chissini de Castro 2016-07-26 11:49:29 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt-installer-framework/qt-installer-framework.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt-installer-framework/qt-installer-framework-2.0.3-1.fc24.src.rpm
Description: The Qt Installer Framework provides a set of tools and utilities to create installers
for the supported desktop Qt platforms: Linux, Microsoft Windows, and OS X.
Fedora Account System Username: heliocastro

Comment 1 Kevin Kofler 2016-10-07 14:41:24 UTC
Your spec URL is a 404.

Comment 2 Helio Chissini de Castro 2016-10-07 14:43:46 UTC
Fixed

Comment 3 Helio Chissini de Castro 2016-11-23 10:34:36 UTC
The URL reflects the official URL. Packages just not moved to there yet ( will be today )

New source:
SPEC URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5-qtdeclarative-render2d/qt5-qtdeclarative-render2d-5.7.1-1.fc25.src.rpm

Comment 4 Helio Chissini de Castro 2016-11-23 10:35:24 UTC
Disregard last comment, wrong place

Comment 5 Raphael Groner 2017-02-02 19:20:32 UTC
Could you look into bug #1402590 for a review swap?

Comment 7 Raphael Groner 2017-02-02 20:39:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
Blockers:
- Please ask upstream to add proper license headers into sources. Not all
  of the source files have or seem to miss a license hint inside.
- examples subpackage without license text file. Maybe let it depend on
  the main package.
- Please add a license breakdown. You can do that in an extra text file.
- Main package must depend on qt5 to own all top folders it puts files in.

NTH:
- How to use this package? Can you add desktop files for the GUI binaries?
- Please use install -p to preserve timestamps.
- Please use a build conditional instead of '%define doc 1'.

Blockers:
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in qt-installer-framework
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or v3)", "Unknown or generated". 1000 files have
     unknown license. Detailed output of licensecheck in /home/builder
     /fedora-review/1360277-qt-installer-framework/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/qt5/examples,
     /usr/lib64/qt5, /usr/share/doc/qt5, /usr/lib64/qt5/bin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[?]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=17554727

[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt-
     installer-framework-doc , qt-installer-framework-examples , qt-
     installer-framework-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     http://download.qt.io/official_releases/qt-installer-framework

[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define docs 1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt-installer-framework-2.0.3-1.fc26.x86_64.rpm
          qt-installer-framework-doc-2.0.3-1.fc26.noarch.rpm
          qt-installer-framework-examples-2.0.3-1.fc26.x86_64.rpm
          qt-installer-framework-debuginfo-2.0.3-1.fc26.x86_64.rpm
          qt-installer-framework-2.0.3-1.fc26.src.rpm
qt-installer-framework.x86_64: E: description-line-too-long C The Qt Installer Framework provides a set of tools and utilities to create installers
qt-installer-framework.x86_64: W: invalid-license LGPLv2.1 with exceptions
qt-installer-framework.x86_64: W: no-documentation
qt-installer-framework.x86_64: E: library-without-ldconfig-postin /usr/lib64/libinstaller.so.1.0.0
qt-installer-framework.x86_64: E: library-without-ldconfig-postun /usr/lib64/libinstaller.so.1.0.0
qt-installer-framework-examples.x86_64: W: invalid-license LGPLv2.1 with exceptions
qt-installer-framework-examples.x86_64: W: only-non-binary-in-usr-lib
qt-installer-framework-examples.x86_64: W: no-documentation
qt-installer-framework-debuginfo.x86_64: W: invalid-license LGPLv2.1 with exceptions
qt-installer-framework.src: E: description-line-too-long C The Qt Installer Framework provides a set of tools and utilities to create installers
qt-installer-framework.src: W: invalid-license LGPLv2.1 with exceptions
5 packages and 0 specfiles checked; 4 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qt-installer-framework-debuginfo-2.0.3-1.fc26.x86_64.rpm
qt-installer-framework-debuginfo.x86_64: W: invalid-license LGPLv2.1 with exceptions
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
qt-installer-framework.x86_64: E: description-line-too-long C The Qt Installer Framework provides a set of tools and utilities to create installers
qt-installer-framework.x86_64: W: invalid-license LGPLv2.1 with exceptions
qt-installer-framework.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinstaller.so.1.0.0 /lib64/libQt5Concurrent.so.5
qt-installer-framework.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinstaller.so.1.0.0 /lib64/libGL.so.1
qt-installer-framework.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libinstaller.so.1.0.0 /lib64/libm.so.6
qt-installer-framework.x86_64: W: no-documentation
qt-installer-framework.x86_64: E: library-without-ldconfig-postin /usr/lib64/libinstaller.so.1.0.0
qt-installer-framework.x86_64: E: library-without-ldconfig-postun /usr/lib64/libinstaller.so.1.0.0
qt-installer-framework-examples.x86_64: W: invalid-license LGPLv2.1 with exceptions
qt-installer-framework-examples.x86_64: W: only-non-binary-in-usr-lib
qt-installer-framework-examples.x86_64: W: no-documentation
qt-installer-framework-debuginfo.x86_64: W: invalid-license LGPLv2.1 with exceptions
4 packages and 0 specfiles checked; 3 errors, 9 warnings.



Requires
--------
qt-installer-framework-doc (rpmlib, GLIBC filtered):
    qt-installer-framework

qt-installer-framework (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Concurrent.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libinstaller.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

qt-installer-framework-examples (rpmlib, GLIBC filtered):

qt-installer-framework-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qt-installer-framework-doc:
    qt-installer-framework-doc

qt-installer-framework:
    libinstaller.so.1()(64bit)
    qt-installer-framework
    qt-installer-framework(x86-64)

qt-installer-framework-examples:
    qt-installer-framework-examples
    qt-installer-framework-examples(x86-64)

qt-installer-framework-debuginfo:
    qt-installer-framework-debuginfo
    qt-installer-framework-debuginfo(x86-64)



Source checksums
----------------
http://download.qt.io/official_releases/qt-installer-framework/2.0.3/qt-installer-framework-opensource-2.0.3-src.tar.gz :
  CHECKSUM(SHA256) this package     : 4e780830c6afed0d8972dd5042a2773a52a8c23b67a8e925465c47019ee46f00
  CHECKSUM(SHA256) upstream package : 4e780830c6afed0d8972dd5042a2773a52a8c23b67a8e925465c47019ee46f00


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1360277
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Raphael Groner 2017-02-06 21:13:50 UTC
Friendly reminder. Please fix the open issues noted in comment #2 to let me approve the package.

Comment 9 Raphael Groner 2017-03-04 19:56:29 UTC
No response so far. :((

Comment 11 sensor.wen 2018-12-22 02:22:32 UTC
(In reply to Raphael Groner from comment #9)
> No response so far. :((

Package is finished. Please review it. Thanks.

Comment 12 sensor.wen 2018-12-23 18:40:10 UTC
hi zebob. Could you review this package?

Comment 13 Manas Mangaonkar (Pac23) 2018-12-24 17:50:46 UTC
Not a official review 
--------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed


Issues
======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: qt-installer-framework. Illegal package name:
  qt-installer-framework. Does not provide -static: qt-installer-framework.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file ifw-license-check-page.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Public domain", "GNU Lesser General Public License (v2)",
     "Unknown or generated", "GNU Free Documentation License", "GNU Free
     Documentation License (v1.3)", "*No copyright* Public domain", "GPL
     (v3)", "LGPL (v2.1 or v3)". 915 files have unknown license. Detailed
     output of licensecheck in /root/review/normal/qt-installer-
     framework/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/qt5,
     /usr/lib64/qt5/bin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt-
     installer-framework-doc , qt-installer-framework-debuginfo , qt-
     installer-framework-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 5867520 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: qt-installer-framework-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-doc-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-debuginfo-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-debugsource-3.0.6-1.fc30.x86_64.rpm
          qt-installer-framework-3.0.6-1.fc30.src.rpm
qt-installer-framework.x86_64: W: devel-file-in-non-devel-package /usr/lib64/lib7z.a
qt-installer-framework.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libinstaller.a
qt-installer-framework.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/qt-installer-framework/Changelog
qt-installer-framework.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/qt-installer-framework/README
5 packages and 0 specfiles checked; 0 errors, 4 warnings.

Rpmlint (debuginfo)
-------------------
Checking: qt-installer-framework-debuginfo-3.0.6-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

please look into the issues though,as this is not as per the packaging guidelines for static libraries.

Comment 14 Robert-André Mauchin 2018-12-25 00:51:47 UTC
@mosquito open a new bug and mark this one as duplicate

%package doc should be noarch

I don't know what to do about those static library? In any case they should be in a static subpackage.

Add the examples to the docs or to a examples subpackage.

Comment 15 sensor.wen 2018-12-29 13:36:06 UTC

*** This bug has been marked as a duplicate of bug 1662532 ***


Note You need to log in before you can comment on or make changes to this bug.